﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class EnterDoor : MonoBehaviour {

    public string sceneName;
    public Transform target;
    public GameObject player;
    public Transform[] spawnPoint;

    //teleporting player when leaving back to the door they initially entered (to target)
    void OnLevelWasLoaded() {
        player.transform.position = target.transform.position;
    }

void OnTriggerEnter2D(Collider2D collider) {
        if (collider.CompareTag("Player")) {
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }
    }

    void OnTriggerStay2D(Collider2D collider) {
        if (collider.tag == "Player") {
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }
    }

    void OnTriggerExit2D(Collider2D collider) {
        if (collider.tag == "Player") {

        }
    }

 
}
